<?php

function deleteFromArchive(&$archive, $fileName, $from_root_only = false)
{
    if (($list = $archive->listContent()) == 0) {
        die("Error : ".$archive->errorInfo(true));
    }

    $delete_str = '';
    for ($i = 0; $i < sizeof($list); $i++) {
        if (($from_root_only && substr($list[$i]['filename'], 0, strlen($fileName)) === $fileName)
            || (!$from_root_only && strpos($list[$i]['filename'], $fileName) !== FALSE)) {
            $delete_str .= ($delete_str ? ',' : '') . "$i";
        }
    }

    if ($delete_str) {
        $v_list = $archive->delete(PCLZIP_OPT_BY_INDEX, $delete_str);
        if ($v_list == 0) {
            die("Error : ".$archive->errorInfo(true));
        }
    }
}

function addToArchive(&$archive, $dir, $remove_path)
{
    $v_list = $archive->add($dir, PCLZIP_OPT_ADD_PATH, '', PCLZIP_OPT_REMOVE_PATH, $remove_path);
    if ($v_list == 0) {
        die('Error to add ' . $dir . ': ' . $archive->errorInfo(true));
    }
}