{if $opc}
	{assign var="back_order_page" value="order-opc.php"}
	{else}
	{assign var="back_order_page" value="order.php"}
{/if}

{if $PS_CATALOG_MODE}
	{capture name=path}{l s='Your shopping cart'}{/capture}
	{include file="$tpl_dir./breadcrumb.tpl"}
	<h2 id="cart_title">{l s='Your shopping cart'}</h2>
	{capture name=warning}{l s='Your new order was not accepted.'}{/capture}
	{include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
{else}
    {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
    <script type="text/javascript">
        // <![CDATA[
        var imgDir = '{$img_dir}';
        var authenticationUrl = '{$link->getPageLink("authentication", true)}';
        var orderOpcUrl = '{$link->getPageLink("order-opc", true)}';
        var historyUrl = '{$link->getPageLink("history", true)}';
        var guestTrackingUrl = '{$link->getPageLink("guest-tracking", true)}';
        var addressUrl = '{$link->getPageLink("address", true, NULL, "back={$back_order_page}")}';
        var orderProcess = 'order-opc';
        var guestCheckoutEnabled = {$PS_GUEST_CHECKOUT_ENABLED|intval};
        var currencySign = '{$currencySign|html_entity_decode:2:"UTF-8"}';
        var currencyRate = '{$currencyRate|floatval}';
        var currencyFormat = '{$currencyFormat|intval}';
        var currencyBlank = '{$currencyBlank|intval}';
        var displayPrice = {$priceDisplay};
        var taxEnabled = {$use_taxes};
        var conditionEnabled = {$conditions|intval};
        var countries = new Array();
        var countriesNeedIDNumber = new Array();
        var countriesNeedZipCode = new Array();
        var vat_management = {$vat_management|intval};
        
        var txtWithTax = "{l s='(tax incl.)'}";
        var txtWithoutTax = "{l s='(tax excl.)'}";
        var txtHasBeenSelected = "{l s='has been selected'}";
        var txtNoCarrierIsSelected = "{l s='No carrier has been selected'}";
        var txtNoCarrierIsNeeded = "{l s='No carrier is needed for this order'}";
        var txtConditionsIsNotNeeded = "{l s='No terms of service must be accepted'}";
        var txtTOSIsAccepted = "{l s='Terms of Service have been accepted'}";
        var txtTOSIsNotAccepted = "{l s='Terms of service have not been accepted'}";
        var txtThereis = "{l s='There is'}";
        var txtErrors = "{l s='error(s)'}";
        var txtDeliveryAddress = "{l s='Delivery address'}";
        var txtInvoiceAddress = "{l s='Invoice address'}";
        var txtModifyMyAddress = "{l s='Modify my address'}";
        var txtInstantCheckout = "{l s='Instant checkout'}";
        var txtSelectAnAddressFirst = "{l s='Please start by selecting an address'}";
        var errorCarrier = "{$errorCarrier}";
        var errorTOS = "{$errorTOS}";
        var checkedCarrier = "{if isset($checked)}{$checked}{else}0{/if}";

        var addresses = new Array();
        var isLogged = {$isLogged|intval};
        var isGuest = {$isGuest|intval};
        var isVirtualCart = {$isVirtualCart|intval};
        var isPaymentStep = {$isPaymentStep|intval};
        //]]>
    </script>
    {/if}
	{if $productNumber}
		<!-- Shopping Cart -->
		{include file="$tpl_dir./shopping-cart.tpl"}
		<!-- End Shopping Cart -->
		{if ($isLogged AND !$isGuest) OR ($is_logged AND !$is_guest)}
			{include file="$tpl_dir./order-address.tpl"}
		{else}
			<!-- Create account / Guest account / Login block -->
			{include file="$tpl_dir./order-opc-new-account.tpl"}
			<!-- END Create account / Guest account / Login block -->
		{/if}
		<!-- Carrier -->
		{include file="$tpl_dir./order-carrier.tpl"}
		<!-- END Carrier -->
	
		<!-- Payment -->
		{include file="$tpl_dir./order-payment.tpl"}
		<!-- END Payment -->
	{else}
		{capture name=path}{l s='Your shopping cart'}{/capture}
		<h2 class="page-heading">{l s='Your shopping cart'}</h2>
		{include file="$tpl_dir./errors.tpl"}
		<p class="alert alert-warning">{l s='Your shopping cart is empty.'}</p>
	{/if}
    {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}
        {strip}
        {addJsDef imgDir=$img_dir}
        {addJsDef authenticationUrl=$link->getPageLink("authentication", true)|escape:'quotes':'UTF-8'}
        {addJsDef orderOpcUrl=$link->getPageLink("order-opc", true)|escape:'quotes':'UTF-8'}
        {addJsDef historyUrl=$link->getPageLink("history", true)|escape:'quotes':'UTF-8'}
        {addJsDef guestTrackingUrl=$link->getPageLink("guest-tracking", true)|escape:'quotes':'UTF-8'}
        {addJsDef addressUrl=$link->getPageLink("address", true, NULL, "back={$back_order_page}")|escape:'quotes':'UTF-8'}
        {addJsDef orderProcess='order-opc'}
        {addJsDef guestCheckoutEnabled=$PS_GUEST_CHECKOUT_ENABLED|intval}
        {addJsDef displayPrice=$priceDisplay}
        {addJsDef taxEnabled=$use_taxes}
        {addJsDef conditionEnabled=$conditions|intval}
        {addJsDef vat_management=$vat_management|intval}
        {addJsDef errorCarrier=$errorCarrier|@addcslashes:'\''}
        {addJsDef errorTOS=$errorTOS|@addcslashes:'\''}
        {addJsDef checkedCarrier=$checked|intval}
        {addJsDef addresses=array()}
        {addJsDef isVirtualCart=$isVirtualCart|intval}
        {addJsDef isPaymentStep=$isPaymentStep|intval}
        {addJsDefL name=txtWithTax}{l s='(tax incl.)' js=1}{/addJsDefL}
        {addJsDefL name=txtWithoutTax}{l s='(tax excl.)' js=1}{/addJsDefL}
        {addJsDefL name=txtHasBeenSelected}{l s='has been selected' js=1}{/addJsDefL}
        {addJsDefL name=txtNoCarrierIsSelected}{l s='No carrier has been selected' js=1}{/addJsDefL}
        {addJsDefL name=txtNoCarrierIsNeeded}{l s='No carrier is needed for this order' js=1}{/addJsDefL}
        {addJsDefL name=txtConditionsIsNotNeeded}{l s='You do not need to accept the Terms of Service for this order.' js=1}{/addJsDefL}
        {addJsDefL name=txtTOSIsAccepted}{l s='The service terms have been accepted' js=1}{/addJsDefL}
        {addJsDefL name=txtTOSIsNotAccepted}{l s='The service terms have not been accepted' js=1}{/addJsDefL}
        {addJsDefL name=txtThereis}{l s='There is' js=1}{/addJsDefL}
        {addJsDefL name=txtErrors}{l s='Error(s)' js=1}{/addJsDefL}
        {addJsDefL name=txtDeliveryAddress}{l s='Delivery address' js=1}{/addJsDefL}
        {addJsDefL name=txtInvoiceAddress}{l s='Invoice address' js=1}{/addJsDefL}
        {addJsDefL name=txtModifyMyAddress}{l s='Modify my address' js=1}{/addJsDefL}
        {addJsDefL name=txtInstantCheckout}{l s='Instant checkout' js=1}{/addJsDefL}
        {addJsDefL name=txtSelectAnAddressFirst}{l s='Please start by selecting an address.' js=1}{/addJsDefL}
        {addJsDefL name=txtFree}{l s='Free' js=1}{/addJsDefL}

        {capture}{if $back}&mod={$back|urlencode}{/if}{/capture}
        {capture name=addressUrl}{$link->getPageLink('address', true, NULL, 'back='|cat:$back_order_page|cat:'?step=1'|cat:$smarty.capture.default)|escape:'quotes':'UTF-8'}{/capture}
        {addJsDef addressUrl=$smarty.capture.addressUrl}
        {capture}{'&multi-shipping=1'|urlencode}{/capture}
        {addJsDef addressMultishippingUrl=$smarty.capture.addressUrl|cat:$smarty.capture.default}
        {capture name=addressUrlAdd}{$smarty.capture.addressUrl|cat:'&id_address='}{/capture}
        {addJsDef addressUrlAdd=$smarty.capture.addressUrlAdd}
        {addJsDef opc=$opc|boolval}
        {capture}<h3 class="page-subheading">{l s='Your billing address' js=1}</h3>{/capture}
        {addJsDefL name=titleInvoice}{$smarty.capture.default|@addcslashes:'\''}{/addJsDefL}
        {capture}<h3 class="page-subheading">{l s='Your delivery address' js=1}</h3>{/capture}
        {addJsDefL name=titleDelivery}{$smarty.capture.default|@addcslashes:'\''}{/addJsDefL}
        {capture}<a class="button button-small btn btn-default" href="{$smarty.capture.addressUrlAdd}" title="{l s='Update' js=1}"><span>{l s='Update' js=1}<i class="icon-chevron-right right"></i></span></a>{/capture}
        {addJsDefL name=liUpdate}{$smarty.capture.default|@addcslashes:'\''}{/addJsDefL}
        {/strip}
    {/if}
{/if}